package com.backstopsolutions.activemqtest;

import javax.jms.Connection;
import javax.jms.JMSException;
import javax.jms.MessageProducer;
import javax.jms.Session;

public class JmsUtil {
    public static void closeAll(Connection con, Session session, MessageProducer producer) {
        if(producer != null) {
            try {
                producer.close();
            } catch (JMSException e) {
                // do nothing
            }
        }
        
        if(session != null) {
            try {
                session.close();
            } catch (JMSException e) {
                // do nothing
            }
        }
        
        if(con != null) {
            try {
                con.close();
            } catch (JMSException e) {
                // do nothing
            }
        }
    }
}
